Windows Management Framework 3.0 / PowerShell 3.0 and Exchange 2007/2010 – DO NOT INSTALL

In case you are running Windows Small Business Server 2008 or Windows Small Business Server 2011or any of the mail servers Microsoft Exchange Server 2007 or Exchange Server 2010 you should not install these updates on your servers:

These two updates – Windows Management Framework 3.0 and Windows PowerShell 3.0 – are being pushed down from Microsoft to your WSUS servers as well as being available on Microsoft Windows Updates sites. Apparently these two updates will cause you a lot of trouble and pain with your mail servers Microsoft Exchange 2007 and Microsoft Exchange Server 2010 since both these servers do not require these updates.

More details you can find on these two blogs regarding the issues:

Just heads up !